Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Class SOAPElementFactory

    java.lang.Object
      javax.xml.soap.SOAPElementFactory

Deprecated. - Use javax.xml.soap.SOAPFactory for creating SOAPElements.

public class SOAPElementFactory
extends Object

`SOAPElementFactory` is a factory for XML fragments that will eventually end up in the SOAP part. These fragments can be inserted as children of the `SOAPHeader` or `SOAPBody` or `SOAPEnvelope`.

Elements created using this factory do not have the properties of an element that lives inside a SOAP header document. These elements are copied into the XML document tree when they are inserted.

See Also:
  `SOAPFactory`

Method Summary
`SOAPElement` | `create(Name name)` Deprecated. Use javax.xml.soap.SOAPFactory.createElement(javax.xml.soap.Name) instead
`SOAPElement` | `create(String localName)` Deprecated. Use javax.xml.soap.SOAPFactory.createElement(String localName) instead
`SOAPElement` | `create(String localName, String prefix, String uri)` Deprecated. Use javax.xml.soap.SOAPFactory.createElement(String localName, String prefix, String uri) instead
`static SOAPElementFactory` | `newInstance()` Deprecated. Creates a new instance of `SOAPElementFactory`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public SOAPElement create(Name name)
                       throws SOAPException

  Deprecated. Use javax.xml.soap.SOAPFactory.createElement(javax.xml.soap.Name) instead

  Create a `SOAPElement` object initialized with the given `Name` object.

  Parameters:
    `name` - a `Name` object with the XML name for the new element
  Returns:
    the new `SOAPElement` object that was created
  Throws:
    `SOAPException` - if there is an error in creating the `SOAPElement` object
  See Also:
    `SOAPFactory.createElement(javax.xml.soap.Name)`

### create

    public SOAPElement create(String localName)
                       throws SOAPException

  Deprecated. Use javax.xml.soap.SOAPFactory.createElement(String localName) instead

  Create a `SOAPElement` object initialized with the given local name.

  Parameters:
    `localName` - a `String` giving the local name for the new element
  Returns:
    the new `SOAPElement` object that was created
  Throws:
    `SOAPException` - if there is an error in creating the `SOAPElement` object
  See Also:
    `SOAPFactory.createElement(java.lang.String)`

### create

    public SOAPElement create(String localName,
                              String prefix,
                              String uri)
                       throws SOAPException

  Deprecated. Use javax.xml.soap.SOAPFactory.createElement(String localName, String prefix, String uri) instead

  Create a new `SOAPElement` object with the given local name, prefix and uri.

  Parameters:
    `localName` - a `String` giving the local name for the new element
    `prefix` - the prefix for this `SOAPElement`
    `uri` - a `String` giving the URI of the namespace to which the new element belongs
  Throws:
    `SOAPException` - if there is an error in creating the `SOAPElement` object
  See Also:
    `SOAPFactory.createElement(java.lang.String, java.lang.String, java.lang.String)`

### newInstance

    public static SOAPElementFactory newInstance()
                                          throws SOAPException

  Deprecated.
  Creates a new instance of `SOAPElementFactory`.

  Returns:
    a new instance of a `SOAPElementFactory`
  Throws:
    `SOAPException` - if there was an error creating the default `SOAPElementFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.